Eclipse Remote Application Platform

## org.eclipse.rap.rwt.service
Interface ISessionStore

All Known Subinterfaces:
  UISession

Deprecated. Use `UISession` instead

    @Deprecated
    public interface ISessionStore

Since:
  2.0

Method Summary
`boolean` `addSessionStoreListener(UISessionListener listener)` Deprecated.
`java.lang.Object` `getAttribute(java.lang.String name)` Deprecated.
`java.util.Enumeration<java.lang.String>` `getAttributeNames()` Deprecated.
`HttpSession` `getHttpSession()` Deprecated.
`java.lang.String` `getId()` Deprecated.
`boolean` `isBound()` Deprecated.
`boolean` `removeAttribute(java.lang.String name)` Deprecated.
`boolean` `removeSessionStoreListener(UISessionListener listener)` Deprecated.
`boolean` `setAttribute(java.lang.String name, java.lang.Object value)` Deprecated.

Method Detail

### setAttribute

    @Deprecated
    boolean setAttribute(java.lang.String name,
                                    java.lang.Object value)

  Deprecated.

### getAttribute

    @Deprecated
    java.lang.Object getAttribute(java.lang.String name)

  Deprecated.

### removeAttribute

    @Deprecated
    boolean removeAttribute(java.lang.String name)

  Deprecated.

### getAttributeNames

    @Deprecated
    java.util.Enumeration<java.lang.String> getAttributeNames()

  Deprecated.

### getId

    @Deprecated
    java.lang.String getId()

  Deprecated.

### addSessionStoreListener

    @Deprecated
    boolean addSessionStoreListener(UISessionListener listener)

  Deprecated.

### removeSessionStoreListener

    @Deprecated
    boolean removeSessionStoreListener(UISessionListener listener)

  Deprecated.

### getHttpSession

    @Deprecated
    HttpSession getHttpSession()

  Deprecated.

### isBound

    @Deprecated
    boolean isBound()

  Deprecated.

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0